:root {
  --primary-color: #6a1b9a;
  --secondary-color: #d32f2f;
  --background-color: #c3ecb2;
  --text-color: #333;
  --container-bg-color: rgba(255, 255, 255, 0.9);
  --font-family: "Roboto", sans-serif;
  --transition-duration: 0.3s;
  --box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: var(--font-family);
  background: linear-gradient(135deg, var(--background-color), #c3b2ec);
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--text-color);
  padding: 1rem;
}

.container {
  background: var(--container-bg-color);
  border-radius: 1rem;
  padding: 1rem;
  box-shadow: var(--box-shadow);
  max-width: 45rem;
  width: 100%;
  text-align: center;
  animation: fadeIn 1s ease-in-out;
}

h1 {
  font-size: 2rem;
  margin-bottom: 1rem;
  color: var(--primary-color);
  animation: colorChange 5s infinite;
}

h2 {
  font-size: 1.5rem;
  margin-top: 2rem;
  color: var(--secondary-color);
}

.form-group {
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0rem 0.5rem;
}

label {
  font-size: 1rem;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
  color: var(--text-color);
}

input,
select {
  font-family: inherit;
  padding: 0.5rem;
  border: 0.125rem solid var(--primary-color);
  border-radius: 0.5rem;
  font-size: 1rem;
  width: 100%;
  transition: border-color var(--transition-duration) ease;
}

input[type="file"] {
  padding: 0.25rem;
}

input:focus,
select:focus {
  border-color: var(--secondary-color);
  outline: none;
}

.btn {
  background: var(--primary-color);
  color: #fff;
  padding: 0.5rem 1rem;
  border: none;
  border-radius: 0.5rem;
  font-size: 1rem;
  cursor: pointer;
  transition: background var(--transition-duration) ease;
}

.btn:hover {
  background: var(--secondary-color);
}

.output-container {
  margin-top: 1rem;
  line-height: 3rem;
  animation: fadeIn 2s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-1rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes colorChange {
  0% {
    color: var(--primary-color);
  }
  25% {
    color: var(--secondary-color);
  }
  50% {
    color: #0288d1;
  }
  75% {
    color: #388e3c;
  }
  100% {
    color: var(--primary-color);
  }
}

/* Media Queries for Responsive Design */
@media (min-width: 600px) {
  .form-group {
    flex-direction: row;
    align-items: center;
  }

  label {
    margin-right: 1rem;
    margin-bottom: 0;
  }

  input,
  select {
    width: auto;
    flex-grow: 1;
  }
}
